Strul vid dist-upgrade 14.04 till 16.04

Trädvy Permalänk
Medlem
Plats
Kristianstad
Registrerad
Mar 2007

Strul vid dist-upgrade 14.04 till 16.04

Jag har en Zimbra mailserver som snurrar på en Ubuntu 14.04. Nu är jag redo att lyfta den till 16.04 men åker på ett märkligt fel:

Vid första frågan hur jag vill göra med en config-fil, spara befintlig, installera ny osv. så ballar systemet ur och säger "Login incorrect. Give root password for maintenance (or type Control-D to continue)". Det går varken att ange root-lösen eller trycka Control-D, den bara promptar igen. Håller jag in Enter så hoppar den vidare, men så fort en ny "config fråga" kommer så blir det samma. Känns inte helt stabilt så har revertat tillbaka till en fungerande snap med 14.04 tills jag listat ut vad det är.

Någon som har råkat ut för liknande?

Better to have and not need, than to need and not have.

Trädvy Permalänk
Medlem
Registrerad
Mar 2010

Det är inte bara så att lösenordet är helt dolt då? Den ger ju oftast inte ens prickar/stjärnor när du slår in lösenordet, utan den beter sig om du inte ens trycker. Men bara du slår in rätt lösen och trycker Enter så ska det ju fungera.

Trädvy Permalänk
Medlem
Registrerad
Mar 2016

Den skall ju inte fråga efter lösenord i det där läget eftersom installationsprogrammet redan körs som root. Verkar som om den felaktigt på något vis startar en ny loginprompt på terminalen som du kör installationsprogrammet på. Testa att köra uppdateringen i screen (apt-get install screen) då kan du stänga terminalen och kanske koppla upp dig mot screen efter att det ballat ur. "$ screen -dr"

En sak till. Om du kör på vanliga linux textkonsolen kan du pröva byta till en vt som normalt inte kör login prompten. Testa "$ sudo openvt -c 12" och alt-F12 för att byta. Kanske hjälper, vad vet jag.

Trädvy Permalänk
Medlem
Plats
Kristianstad
Registrerad
Mar 2007

@s0sdaf: Så fort jag trycker in en tangent så kommer en ny prompt så det funkar inte.

Better to have and not need, than to need and not have.

Trädvy Permalänk
Medlem
Registrerad
Mar 2010
Skrivet av bandite:

@s0sdaf: Så fort jag trycker in en tangent så kommer en ny prompt så det funkar inte.

Okej, men det är väl prompten man ser där? Där den frågar om du väljer Y, I, N, O, D eller Z.

Just att den klagar på felaktigt lösenord gör ju att det känns som att det inte fått rootbehörighet eller något sådant. Se om du kan starta uppgraderingsprocessen manuellt (med sudo do-release-upgrade) så kanske det funkar bättre?

Trädvy Permalänk
Medlem
Plats
Kristianstad
Registrerad
Mar 2007

@s0sdaf: Uppgraderingen är startad med sudo.

Better to have and not need, than to need and not have.